org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IncrementalSnapshotMetadata

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.IncrementalSnapshotMetadata

All Implemented Interfaces:
  Serializable

    public class IncrementalSnapshotMetadata
    extends Object
    implements Serializable

Incremental snapshot metadata file.

See Also:
  `IgniteSnapshotManager.createIncrementalSnapshot(String)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncrementalSnapshotMetadata(UUID rqId, String snpName, int incIdx, String consId, String folderName, WALPointer incSnpRec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `consistentId()`
`String` `folderName()`
`WALPointer` `incrementalSnapshotPointer()`
`int` `incrementIndex()`
`boolean` `matchBaseSnapshot(SnapshotMetadata meta)` Checks that incremental snapshot is based on this full snapshot.
`UUID` `requestId()`
`String` `snapshotName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncrementalSnapshotMetadata

    public IncrementalSnapshotMetadata(UUID rqId,
                                       String snpName,
                                       int incIdx,
                                       String consId,
                                       String folderName,
                                       WALPointer incSnpRec)

Parameters:
  `rqId` - Unique request id.
  `snpName` - Snapshot name.
  `incIdx` - Incremental snapshot index.
  `consId` - Consistent id of a node to which this metadata relates.
  `folderName` - Directory name which stores the data files.
  `incSnpRec` - Pointer to `IncrementalSnapshotFinishRecord`.

### Method Detail

#### requestId

    public UUID requestId()

Returns:
  Snapshot request ID.

#### snapshotName

    public String snapshotName()

Returns:
  Snapshot name.

#### consistentId

    public String consistentId()

Returns:
  Consistent ID of a node to which this metadata relates.

#### incrementalSnapshotPointer

    public WALPointer incrementalSnapshotPointer()

Returns:
  Pointer to `IncrementalSnapshotFinishRecord`.

#### incrementIndex

    public int incrementIndex()

Returns:
  Incremental snapshot index.

#### folderName

    public String folderName()

Returns:
  Name of the folder that contains snapshot data.

#### matchBaseSnapshot

    public boolean matchBaseSnapshot(SnapshotMetadata meta)

Checks that incremental snapshot is based on this full snapshot.

Parameters:
  `meta` - Full snapshot metadata to verify.
Returns:
  `false` if given metadata doesn't match full snapshot.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023